Package Asm

## Enum UALi.Op

- java.lang.Object
- - java.lang.Enum<UALi.Op>
  - - Asm.UALi.Op

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UALi.Op>`
  Enclosing class:
    UALi

      public static enum UALi.Op
      extends java.lang.Enum<UALi.Op>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD` |
    `AND` |
    `DIV` |
    `MOD` |
    `MUL` |
    `OR` |
    `SL` |
    `SR` |
    `SUB` |
    `XOR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UALi.Op` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UALi.Op[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final UALi.Op ADD

    - #### SUB

          public static final UALi.Op SUB

    - #### MUL

          public static final UALi.Op MUL

    - #### DIV

          public static final UALi.Op DIV

    - #### MOD

          public static final UALi.Op MOD

    - #### XOR

          public static final UALi.Op XOR

    - #### AND

          public static final UALi.Op AND

    - #### OR

          public static final UALi.Op OR

    - #### SL

          public static final UALi.Op SL

    - #### SR

          public static final UALi.Op SR

  - ### Method Detail

    - #### values

          public static UALi.Op[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UALi.Op c : UALi.Op.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UALi.Op valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null